Subject: bug#62071: openjdk@9/10 sources not reproducible

From: Björn Höfling <[email-masked]>
Date: Sun, 12 Mar 2023 00:06:55 +0100

On Thu, 9 Mar 2023 10:48:53 +0100
Lars-Dominik Braun <[email-masked]> wrote:

> Hi,
> 
> it looks like the (auto-generated) tarballs for openjdk@9 and
> openjdk@10 changed their hash, causing a hash mismatch via
> 
>     guix build -S openjdk@9 --no-substitutes --no-grafts

I can confirm this.

I found the old versions of openjdk 9 and 10 on a server of mine. I
will compare old/new tomorrow (oh, better say: later today).

> I’m not sure why it uses these tarballs in the first place, since we
> have a hg-download.

I don't know. Maybe there was no hg-download yet when we added OpenJDK9?

Björn